lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Chris Hostetter <hossman_luc...@fucit.org>
Subject RE: [VOTE] Release Lucene 2.9.0
Date Thu, 24 Sep 2009 18:03:53 GMT

: - db/bdb fails to compile with 1.4 because of a ClassFormatError in one of
: the bundled libs, so this contrib is in reality 1.5 only.

there's not much we can do about that, no one can blame us if the 
dependency requires 1.5

: - Tests of contrib/misc use String.contains(), which is 1.5 only. As it just
: searches for an whitespace, it can be replaced by indexOf(' ')>=0
: - contrib/regex fails to build, because the JavaRegExpCapability defines an
: (unused) constant based on the value in Pattern.LITERAL, which does not
: exist in 1.4. Removing this constant fixes the problem.

I'm willing to publicly say "oh well" on these changes.  

we've always said that contribs don't make the same back compat 
commitments as core...
 - contrib/misc still works until 1.4, it's only the test that doesn't 
work so "oh well" it's not worth cutting a new relase (if someone is using 
contrib/misc w/1.4 and wants to run the tests, i don't think it's an undue 
burden to suggest that they can change that one line and get 1.4 compat)
 - as for contrib/regex -- this change was made to add functionality, if 
at the time of the change people had said "this means making contrib/regex 
require 1.5" i don't think anyone would have objected.


-Hoss


---------------------------------------------------------------------
To unsubscribe, e-mail: java-dev-unsubscribe@lucene.apache.org
For additional commands, e-mail: java-dev-help@lucene.apache.org


Mime
View raw message